- Qt 6.5
- Qt GUI
- C++ Classes
- QPalette
- Qt 6.5.0 Reference Documentation

# Obsolete Members for QPalette

The following members of class QPalette are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` | QPalette(const QColor &windowText, const QColor &window, const QColor &light, const QColor &dark, const QColor &mid, const QColor &text, const QColor &base)

## Member Function Documentation

### QPalette::QPalette(const QColor &windowText, const QColor &window, const QColor &light, const QColor &dark, const QColor &mid, const QColor &text, const QColor &base)

This function is deprecated. We strongly advise against using it in new code.

Constructs a palette with the specified windowText, window, light, dark, mid, text, and base colors. The button color will be set to the window color.